package com.ruoyi.ss.user.service;

import com.ruoyi.ss.user.domain.SmUserVO;

import java.util.List;

/**
 * @author wjh
 * 2024/5/6
 */
public interface UserAssembler {

    /**
     * 拼接用户店铺数量
     */
    void assembleStoreCount(List<SmUserVO> list);

    /**
     * 拼接用户设备数量
     */
    void assembleDeviceCount(List<SmUserVO> list);

    /**
     * 拼接用户实际到账延迟
     */
    void assembleRealArrivalDelay(List<SmUserVO> userList);

    /**
     * 拼接用户实际服务费率
     */
    void assembleRealServiceRate(List<SmUserVO> list);

    /**
     * 拼接未入账金额
     * @param list
     */
    void assembleWaitBonusAmount(List<SmUserVO> list);

    /**
     * 拼接是否店铺员工
     */
    void assembleIsStaff(List<SmUserVO> list);
}
